Bug 725763 - Incorrect message summary while adding an automountkey.
Summary: Incorrect message summary while adding an automountkey.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-26 13:42 UTC by Gowrishankar Rajaiyan
Modified: 2015-01-04 23:50 UTC (History)
4 users (show)

Fixed In Version: ipa-2.1.0-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: The summary when adding an autoumount key was not very specific. Consequence: It wasn't clear where the key was added. Fix: Include both the map and key in the summary data. Result: Return a consistent value.
Clone Of:
Environment:
Last Closed: 2011-12-06 18:41:55 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Gowrishankar Rajaiyan 2011-07-26 13:42:31 UTC
Description of problem:


Version-Release number of selected component (if applicable):
ipa-server-2.0.99-5.20110726T0531zgit9a4ce98.el6.x86_64

How reproducible:


Steps to Reproduce:
1. ipa automountkey-add baltimore auto.master --key=/share --info=auto.share
2.
3.
  
Actual results:
---------------------------------
Added automount key "auto.master"
---------------------------------
  Key: /share
  Mount information: auto.share

The map name is displayed at the summary as "Added automount key "auto.master"".

Expected results:
The message summary should be "Added automount key "/share auto.share"" like how we have it while deleting an automountkey:

-----------------------------------------
Deleted automount key "/share auto.share"
-----------------------------------------

Additional info:

Comment 2 Rob Crittenden 2011-07-26 14:06:20 UTC
https://fedorahosted.org/freeipa/ticket/1524

Comment 5 Rob Crittenden 2011-10-31 21:17:18 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: The summary when adding an autoumount key was not very specific.
Consequence: It wasn't clear where the key was added.
Fix: Include both the map and key in the summary data.
Result: Return a consistent value.

Comment 6 Gowrishankar Rajaiyan 2011-11-02 07:13:07 UTC
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: automountkey_add_001: ipa automountkey-add LOCATION MASTERMAP --key --info
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

------------------------------------
Added automount location "baltimore"
------------------------------------
  Location: baltimore
:: [   PASS   ] :: Running 'ipa automountlocation-add baltimore'
------------------------------------
Added automount map "auto.baltimore"
------------------------------------
  Map: auto.baltimore
:: [   PASS   ] :: Running 'ipa automountmap-add baltimore auto.baltimore'
:: [   PASS   ] :: Running 'ipa automountkey-add baltimore auto.master --key=/share --info=auto.share > /tmp/tmp.5Pdq4XDrXP/automountkey_add_001.out 2>&1'
:: [01:47:35] ::  Verifies bug https://bugzilla.redhat.com/show_bug.cgi?id=725763
:: [   PASS   ] :: File '/tmp/tmp.5Pdq4XDrXP/automountkey_add_001.out' should contain 'Added automount key "/share"'
:: [   PASS   ] :: File '/tmp/tmp.5Pdq4XDrXP/automountkey_add_001.out' should contain 'Key: /share'
:: [   PASS   ] :: File '/tmp/tmp.5Pdq4XDrXP/automountkey_add_001.out' should contain 'Mount information: auto.share'
----------------------------
Added automount key "/share"
----------------------------
  Key: /share
  Mount information: auto.share
:: [   PASS   ] :: Running 'cat /tmp/tmp.5Pdq4XDrXP/automountkey_add_001.out'




::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: automountkey_del: ipa automountkey-del AUTOMOUNTLOCATION AUTOMOUNTMAP
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

------------------------------------
Added automount location "baltimore"
------------------------------------
  Location: baltimore
:: [   PASS   ] :: Running 'ipa automountlocation-add baltimore'
----------------------------
Added automount key "/share"
----------------------------
  Key: /share
  Mount information: -rw
:: [   PASS   ] :: Running 'ipa automountkey-add baltimore auto.master --key=/share --info=-rw'
:: [   PASS   ] :: Running 'ipa automountkey-del baltimore auto.master --key=/share --info=-rw > /tmp/tmp.5Pdq4XDrXP/automountkey_del.out 2>&1'
:: [   PASS   ] :: File '/tmp/tmp.5Pdq4XDrXP/automountkey_del.out' should contain 'Deleted automount key "/share"'
------------------------------
Deleted automount key "/share"
------------------------------
:: [   PASS   ] :: Running 'cat /tmp/tmp.5Pdq4XDrXP/automountkey_del.out'



::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: automountkey_mod_001: ipa automountkey-mod LOCATION MAP --key --rename --info --newinfo
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

------------------------------------
Added automount location "baltimore"
------------------------------------
  Location: baltimore
:: [   PASS   ] :: Running 'ipa automountlocation-add baltimore'
----------------------------
Added automount key "/share"
----------------------------
  Key: /share
  Mount information: auto.share
:: [   PASS   ] :: Running 'ipa automountkey-add baltimore auto.master --key=/share --info=auto.share'
:: [   PASS   ] :: Running 'ipa automountkey-mod baltimore auto.master --key=/share --rename=/ipashare --info=auto.share --newinfo=auto.ipashare > /tmp/tmp.5Pdq4XDrXP/automountkey_mod_001.out 2>&1'
:: [01:48:22] ::  Verifies bug https://bugzilla.redhat.com/show_bug.cgi?id=726028
:: [   PASS   ] :: File '/tmp/tmp.5Pdq4XDrXP/automountkey_mod_001.out' should not contain 'Key: /share'
:: [   PASS   ] :: File '/tmp/tmp.5Pdq4XDrXP/automountkey_mod_001.out' should contain 'Key: /ipashare'
:: [   PASS   ] :: File '/tmp/tmp.5Pdq4XDrXP/automountkey_mod_001.out' should contain 'Mount information: auto.ipashare'
-------------------------------
Modified automount key "/share"
-------------------------------
  Key: /ipashare
  Mount information: auto.ipashare
:: [   PASS   ] :: Running 'cat /tmp/tmp.5Pdq4XDrXP/automountkey_mod_001.out'



Verified. Version: ipa-server-2.1.3-7.el6.x86_64

Comment 7 errata-xmlrpc 2011-12-06 18:41:55 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.